org.apache.catalina.deploy

## Class ApplicationListener

- java.lang.Object
- - org.apache.catalina.deploy.ApplicationListener

-     public class ApplicationListener
      extends Object

  Enables additional attributes other than just the name to be recorded for an application listener.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationListener(String className, boolean pluggabilityBlocked)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getClassName()`
    `int` | `hashCode()`
    `boolean` | `isPluggabilityBlocked()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationListener

          public ApplicationListener(String className,
                             boolean pluggabilityBlocked)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### isPluggabilityBlocked

          public boolean isPluggabilityBlocked()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.